Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence
Class PersistenceProductDerivation.ConfigurationProviderImpl

    java.lang.Object
      org.apache.openjpa.lib.conf.MapConfigurationProvider
          org.apache.openjpa.persistence.PersistenceProductDerivation.ConfigurationProviderImpl

All Implemented Interfaces:
  ConfigurationProvider

Enclosing class:
  PersistenceProductDerivation

    public static class PersistenceProductDerivation.ConfigurationProviderImpl

extends MapConfigurationProvider

Custom configuration provider.

Constructor Summary
`PersistenceProductDerivation.ConfigurationProviderImpl()`
`PersistenceProductDerivation.ConfigurationProviderImpl(Map props)`

Method Summary
`void` | `setInto(Configuration conf)` Set loaded information into the given configuration.
`void` | `setSource(String source)` Set the source of information in this provider.

Methods inherited from class org.apache.openjpa.lib.conf.MapConfigurationProvider
`addProperties, addProperty, getProperties, setInto`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PersistenceProductDerivation.ConfigurationProviderImpl

    public PersistenceProductDerivation.ConfigurationProviderImpl()

### PersistenceProductDerivation.ConfigurationProviderImpl

    public PersistenceProductDerivation.ConfigurationProviderImpl(Map props)

Method Detail

### setSource

    public void setSource(String source)

  Set the source of information in this provider.

### setInto

    public void setInto(Configuration conf)

  Description copied from interface: `ConfigurationProvider`
  Set loaded information into the given configuration.

  Specified by:
    `setInto` in interface `ConfigurationProvider`
  Overrides:
    `setInto` in class `MapConfigurationProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.